net.i2p.data

## Class DataFormatException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - net.i2p.I2PException
      - - net.i2p.data.DataFormatException

- All Implemented Interfaces:
    Serializable

      public class DataFormatException
      extends I2PException

  Thrown when the data was not available to read or write a DataStructure
  Author:
    jrandom
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataFormatException(String msg)`
    `DataFormatException(String msg, Throwable t)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DataFormatException

          public DataFormatException(String msg,
                             Throwable t)

    - #### DataFormatException

          public DataFormatException(String msg)